Bug 227967 - soundcard not working
soundcard not working
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-09 02:05 EST by Sourabh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 08:47:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
soundcard detection error log file (13.03 KB, application/octet-stream)
2007-02-09 10:12 EST, Sourabh
no flags Details

  None (edit)
Description Sourabh 2007-02-09 02:05:14 EST
Description of problem:

when I tried to detect the soundcard It gave mi this message

Automatic detection of the sound card did not work.  Audio will not be available
on the system.
You can inspect /root/scsound.log and file a new bug
at http://bugzilla.redhat.com.


So here is the log 



------- System Config Soundcard --------
Fri Feb  9 12:21:52 IST 2007

------- lspci --------
00:00.0 Host bridge: ATI Technologies Inc Unknown device 5a33 (rev 01)
00:01.0 PCI bridge: ATI Technologies Inc Unknown device 5a3f
00:11.0 IDE interface: ATI Technologies Inc ATI 437A Serial ATA Controller (rev 80)
00:12.0 IDE interface: ATI Technologies Inc ATI 4379 Serial ATA Controller (rev 80)
00:13.0 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller (rev 80)
00:13.1 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller (rev 80)
00:13.2 USB Controller: ATI Technologies Inc IXP SB400 USB2 Host Controller (rev 80)
00:14.0 SMBus: ATI Technologies Inc IXP SB400 SMBus Controller (rev 82)
00:14.1 IDE interface: ATI Technologies Inc Standard Dual Channel PCI IDE
Controller ATI (rev 80)
00:14.2 Audio device: ATI Technologies Inc Unknown device 437b (rev 01)
00:14.3 ISA bridge: ATI Technologies Inc IXP SB400 PCI-ISA Bridge (rev 80)
00:14.4 PCI bridge: ATI Technologies Inc IXP SB400 PCI-PCI Bridge (rev 80)
@
"~/scsound.log" 266L, 11305C   
















Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Martin Stransky 2007-02-09 08:37:35 EST
please attach full log here (as an attachment)
Comment 2 Sourabh 2007-02-09 10:12:40 EST
Created attachment 147779 [details]
soundcard detection error log file

HiI have attcached the full log
Comment 3 Martin Stransky 2007-02-09 10:17:37 EST
Please update your sound drivers (the latest ones are 1.0.14rc2), how-to is
here: http://people.redhat.com/stransky/alsa/
Comment 4 Sourabh 2007-02-19 05:29:46 EST
hi I tried the 1.0.14rc2 drivers I got following error log on  firing ./configure

checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking for ranlib... ranlib
checking for a BSD-compatible install... /usr/bin/install -c
checking how to run the C preprocessor... gcc -E
checking for egrep... grep -E
checking for ANSI C header files... yes
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking whether time.h and sys/time.h may both be included... yes
checking whether gcc needs -traditional... no
checking for current directory... /root/alsa-driver-1.0.14rc2
checking cross compile...
checking for directory with kernel source...
/lib/modules/2.6.15-1.2054_FC5smp/source
checking for directory with kernel build... /lib/modules/2.6.15-1.2054_FC5smp/build
checking for kernel linux/version.h... no
The file /lib/modules/2.6.15-1.2054_FC5smp/source/include/linux/version.h does
not exist.
Please install the package with full kernel sources for your distribution
or use --with-kernel=dir option to specify another directory with kernel
sources (default is /lib/modules/2.6.15-1.2054_FC5smp/source).
Comment 5 Sourabh 2007-02-19 06:09:17 EST
what should i do now ?
Comment 6 Martin Stransky 2007-03-08 04:33:37 EST
you need to install kernel-devel package.
Comment 7 Sourabh 2007-03-08 05:24:27 EST
can you please guide me how do i do this ?
Comment 9 Sourabh 2007-03-08 05:57:30 EST
I have installed  the above package still it says

Please install the package with full kernel sources for your distribution
or use --with-kernel=dir option to specify another directory with kernel
sources (default is /lib/modules/2.6.15-1.2054_FC5smp/source).
Comment 10 Sourabh 2007-03-08 06:29:35 EST
I have specified the source dir using --with option it  worked for ./configure

but when I said make It gave me some errors..

[root@sourabhk alsa-driver-1.0.14rc2]# ./configure
--with-kernel=/usr/src/kernels/2.6.15-1.2054_FC5-i686
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking for ranlib... ranlib
checking for a BSD-compatible install... /usr/bin/install -c
checking how to run the C preprocessor... gcc -E
checking for egrep... grep -E
checking for ANSI C header files... yes
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking whether time.h and sys/time.h may both be included... yes
checking whether gcc needs -traditional... no
checking for current directory... /home/alsa-driver-1.0.14rc2
checking cross compile...
checking for directory with kernel source... /usr/src/kernels/2.6.15-1.2054_FC5-i686
checking for directory with kernel build...
checking for kernel linux/version.h... yes
checking for kernel linux/autoconf.h... yes
checking for kernel version... 2.6.15-1.2054_FC5
checking for GCC version... Kernel compiler: gcc 4.1.0 20060304 (Red Hat
4.1.0-3) Used compiler: gcc (GCC) 4.1.0 20060304 (Red Hat 4.1.0-3)
checking for built-in ALSA... no
checking for existing ALSA module... yes
checking for Red Hat kernel... auto
checking for Red Hat kernel... no
checking for SUSE kernel... auto
checking for SUSE kernel... no
checking for CONFIG_EXPERIMENTAL... yes
checking for kernel linux/config.h... yes
checking to modify of kernel linux/kmod.h... no
checking for kernel linux/utsrelease.h... no
Creating a dummy <linux/utsrelease.h>...
checking for kernel linux/compiler.h... yes
checking for kernel linux/pm.h... yes
checking for kernel linux/spinlock.h... yes
checking for kernel linux/irq.h... yes
checking for kernel linux/threads.h... yes
checking for kernel linux/rwsem.h... yes
checking for kernel linux/gameport.h... yes
checking for kernel media/v4l2-dev.h... no
Creating a dummy <media/v4l2-dev.h>...
checking for kernel linux/devfs_fs_kernel.h... yes
checking for kernel linux/highmem.h... yes
checking for kernel linux/workqueue.h... yes
checking for kernel linux/dma-mapping.h... yes
checking for kernel asm/hw_irq.h... yes
checking for kernel linux/device.h... yes
checking for kernel linux/platform_device.h... yes
checking for kernel linux/jiffies.h... yes
checking for kernel linux/compat.h... yes
checking for kernel linux/adb.h... yes
checking for kernel linux/cuda.h... yes
checking for kernel linux/pmu.h... yes
checking for kernel linux/moduleparam.h... yes
checking for kernel linux/syscalls.h... yes
checking for kernel linux/firmware.h... yes
checking for kernel linux/err.h... yes
checking for kernel linux/bitmap.h... yes
checking for kernel linux/mutex.h... yes
checking for kernel linux/latency.h... no
Creating <linux/latency.h>...
checking for kernel asm/irq_regs.h... no
Creating a dummy <asm/irq_regs.h>...
checking for kernel module symbol versions... yes
checking for PCI support in kernel... yes
checking for I2C driver in kernel... module
checking for I2C_POWERMAC in kernel... unknown
checking for firmware loader... yes
checking for input subsystem in kernel... yes
checking for directory to store kernel modules...
/lib/modules/2.6.15-1.2054_FC5/kernel/sound
checking for verbose procfs... on
checking for verbose printk... on
checking for debug level... none
checking for ISA support in kernel... yes
checking for processor type... i686
checking for i386 machine type... default
checking for ISA DMA API... yes
checking for SMP... no
checking for Video device support in kernel... yes
checking for ISA PnP driver in kernel... yes
checking for PnP driver in kernel... yes
checking for Kernel ISA-PnP support... yes
checking for strlcpy... yes
checking for snprintf... yes
checking for vsnprintf... yes
checking for scnprintf... yes
checking for sscanf... yes
checking for vmalloc_to_page... yes
checking for old kmod... no
checking for PDE... yes
checking for pci_set_consistent_dma_mask... yes
checking for pci_dev_present... yes
checking for msleep... yes
checking for msleep_interrupt... yes
checking for msecs_to_jiffies... yes
checking for tty->count is the atomic type... no
checking for video_get_drvdata... yes
checking for io_remap_pfn_range... yes
checking for kcalloc... yes
checking for kstrdup... yes
checking for kzalloc... yes
checking for create_workqueue with flags... no
checking for saved_config_space in pci_dev... yes
checking for new pci_save_state... yes
checking for register_sound_special_device... yes
checking for driver version... 1.0.14rc2
checking for sequencer support... yes
checking for OSS/Free emulation... yes
checking for OSS PCM plugin system inclusion... yes
checking for RTC callback support in kernel... yes
checking for HPET support... yes
checking for dynamic minor numbers... no
checking for support of old API... yes
checking for Procfs support... yes
checking for USB support... yes
checking for class_simple... no
checking for old driver suspend/resume callbacks... no
checking for removal of page-reservation for nopage/mmap... yes
checking for nested class_device... yes
checking for new IRQ handler... no
checking for PnP suspend/resume... yes
checking for new unlocked/compat_ioctl... yes
checking for PC-Speaker hook... no
checking for kernel PCMCIA
checking for PCMCIA support... yes
checking for PC9800 support in kernel... no
checking for parallel port support... yes
checking for power management... yes
checking for which soundcards to compile driver for... all
configure: creating ./config.status
config.status: creating version
config.status: creating Makefile.conf
config.status: creating snddevices
config.status: creating utils/alsa-driver.spec
config.status: creating utils/buildrpm
config.status: creating toplevel.config
config.status: creating utils/alsasound
config.status: creating utils/alsasound.posix
config.status: creating include/pci_ids_compat.h
config.status: creating include/i2c-id_compat.h
config.status: creating include/config.h
config.status: creating include/config1.h
config.status: include/config1.h is unchanged
config.status: creating include/version.h
config.status: include/version.h is unchanged
config.status: creating include/autoconf-extra.h
config.status: include/autoconf-extra.h is unchanged
Hacking autoconf.h...
[root@sourabhk alsa-driver-1.0.14rc2]# make
if [ ! -d include/sound -a ! -L include/sound ]; then \
  ln -sf ../alsa-kernel/include include/sound ; \
fi
cp -puvf include/version.h include/sound/version.h
`include/version.h' -> `include/sound/version.h'
make dep
make[1]: Entering directory `/home/alsa-driver-1.0.14rc2'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/acore'
copying file alsa-kernel/core/info.c
patching file info.c
copying file alsa-kernel/core/pcm.c
patching file pcm.c
copying file alsa-kernel/core/pcm_native.c
patching file pcm_native.c
copying file alsa-kernel/core/control.c
patching file control.c
Hunk #2 succeeded at 1389 (offset 172 lines).
copying file alsa-kernel/core/hwdep.c
patching file hwdep.c
Hunk #1 succeeded at 306 (offset 3 lines).
copying file alsa-kernel/core/init.c
patching file init.c
copying file alsa-kernel/core/rawmidi.c
patching file rawmidi.c
Hunk #1 succeeded at 1290 (offset 23 lines).
Hunk #2 succeeded at 1351 with fuzz 1 (offset 1 line).
copying file alsa-kernel/core/sound.c
patching file sound.c
copying file alsa-kernel/core/timer.c
patching file timer.c
Hunk #1 succeeded at 989 with fuzz 1 (offset -6 lines).
Hunk #2 succeeded at 1904 (offset 113 lines).
Hunk #3 succeeded at 1830 with fuzz 2 (offset -15 lines).
copying file alsa-kernel/core/memalloc.c
patching file memalloc.c
Hunk #2 succeeded at 83 (offset -1 lines).
Hunk #4 succeeded at 174 (offset -1 lines).
Hunk #6 succeeded at 228 (offset -1 lines).
Hunk #8 succeeded at 286 (offset -1 lines).
Hunk #10 succeeded at 329 (offset -1 lines).
Hunk #11 succeeded at 605 (offset -4 lines).
Hunk #12 succeeded at 697 (offset -1 lines).
Hunk #13 succeeded at 709 (offset -4 lines).
Hunk #14 succeeded at 746 (offset -1 lines).
copying file alsa-kernel/core/misc.c
patching file misc.c
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/acore/ioctl32'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/acore/ioctl32'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/acore/oss'
copying file alsa-kernel/core/oss/mixer_oss.c
patching file mixer_oss.c
Hunk #1 succeeded at 379 with fuzz 1 (offset 2 lines).
copying file alsa-kernel/core/oss/pcm_oss.c
patching file pcm_oss.c
Hunk #1 succeeded at 2557 (offset 31 lines).
Hunk #3 succeeded at 2731 (offset 31 lines).
Hunk #4 succeeded at 2883 (offset -2 lines).
Hunk #5 succeeded at 3043 (offset 29 lines).
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/acore/oss'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/acore/seq'
copying file alsa-kernel/core/seq/seq.c
patching file seq.c
Hunk #1 succeeded at 57 (offset 6 lines).
copying file alsa-kernel/core/seq/seq_clientmgr.c
patching file seq_clientmgr.c
Hunk #2 succeeded at 2206 (offset 65 lines).
Hunk #3 succeeded at 2489 with fuzz 1 (offset 20 lines).
copying file alsa-kernel/core/seq/seq_memory.c
patching file seq_memory.c
Hunk #3 succeeded at 248 (offset 3 lines).
make[4]: Entering directory `/home/alsa-driver-1.0.14rc2/acore/seq/instr'
make[4]: Leaving directory `/home/alsa-driver-1.0.14rc2/acore/seq/instr'
make[4]: Entering directory `/home/alsa-driver-1.0.14rc2/acore/seq/oss'
copying file alsa-kernel/core/seq/oss/seq_oss.c
patching file seq_oss.c
Hunk #1 succeeded at 189 (offset 3 lines).
Hunk #2 succeeded at 220 with fuzz 1.
Hunk #3 succeeded at 326 (offset -8 lines).
make[4]: Leaving directory `/home/alsa-driver-1.0.14rc2/acore/seq/oss'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/acore/seq'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/acore'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/i2c'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/i2c/other'
copying file alsa-kernel/i2c/other/tea575x-tuner.c
patching file tea575x-tuner.c
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/i2c/other'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/i2c'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/drivers'
copying file alsa-kernel/drivers/mts64.c
patching file mts64.c
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/drivers/mpu401'
copying file alsa-kernel/drivers/mpu401/mpu401.c
patching file mpu401.c
Hunk #1 succeeded at 30 (offset 2 lines).
Hunk #3 succeeded at 64 with fuzz 2 (offset 2 lines).
Hunk #4 succeeded at 90 with fuzz 2 (offset -57 lines).
Hunk #5 succeeded at 353 (offset 106 lines).
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/drivers/mpu401'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/drivers/opl3'
copying file alsa-kernel/drivers/opl3/opl3_lib.c
patching file opl3_lib.c
Hunk #1 succeeded at 435 (offset 2 lines).
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/drivers/opl3'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/drivers/opl4'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/drivers/opl4'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/drivers/pcsp'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/drivers/pcsp'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/drivers/vx'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/drivers/vx'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/drivers'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/isa'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/isa/ad1816a'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/isa/ad1816a'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/isa/ad1848'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/isa/ad1848'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/isa/cs423x'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/isa/cs423x'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/isa/es1688'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/isa/es1688'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/isa/gus'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/isa/gus'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/isa/msnd'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/isa/msnd'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/isa/opti9xx'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/isa/opti9xx'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/isa/sb'
copying file alsa-kernel/isa/sb/sb16_csp.c
patching file sb16_csp.c
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/isa/sb'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/isa/wavefront'
copying file alsa-kernel/isa/wavefront/wavefront_fx.c
patching file wavefront_fx.c
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/isa/wavefront'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/isa'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/synth'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/synth/emux'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/synth/emux'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/synth'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci'
copying file alsa-kernel/pci/ad1889.c
patching file ad1889.c
Hunk #1 succeeded at 53 with fuzz 2 (offset 1 line).
copying file alsa-kernel/pci/bt87x.c
patching file bt87x.c
Hunk #1 succeeded at 815 (offset 5 lines).
Hunk #2 succeeded at 949 (offset 1 line).
copying file alsa-kernel/pci/intel8x0.c
patching file intel8x0.c
Hunk #2 succeeded at 704 (offset 3 lines).
Hunk #4 succeeded at 3072 (offset 61 lines).
copying file alsa-kernel/pci/maestro3.c
patching file maestro3.c
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/ac97'
copying file alsa-kernel/pci/ac97/ac97_codec.c
patching file ac97_codec.c
make[3]: *** No rule to make target
`/home/alsa-driver-1.0.14rc2/alsa-kernel/pci/ac97/ac97_bus.c', needed by
`ac97_bus.c'.  Stop.
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/ac97'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/ali5451'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/ali5451'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/asihpi'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/asihpi'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/au88x0'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/au88x0'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/ca0106'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/ca0106'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/cs46xx'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/cs46xx'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/cs5535audio'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/cs5535audio'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/echoaudio'
copying file alsa-kernel/pci/echoaudio/echoaudio.c
patching file echoaudio.c
copying file alsa-kernel/pci/echoaudio/darla20.c
patching file darla20.c
copying file alsa-kernel/pci/echoaudio/darla24.c
patching file darla24.c
copying file alsa-kernel/pci/echoaudio/echo3g.c
patching file echo3g.c
copying file alsa-kernel/pci/echoaudio/gina20.c
patching file gina20.c
copying file alsa-kernel/pci/echoaudio/gina24.c
patching file gina24.c
copying file alsa-kernel/pci/echoaudio/indigo.c
patching file indigo.c
copying file alsa-kernel/pci/echoaudio/indigodj.c
patching file indigodj.c
copying file alsa-kernel/pci/echoaudio/indigoio.c
patching file indigoio.c
copying file alsa-kernel/pci/echoaudio/layla20.c
patching file layla20.c
copying file alsa-kernel/pci/echoaudio/layla24.c
patching file layla24.c
copying file alsa-kernel/pci/echoaudio/mia.c
patching file mia.c
copying file alsa-kernel/pci/echoaudio/mona.c
patching file mona.c
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/echoaudio'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/emu10k1'
copying file alsa-kernel/pci/emu10k1/emu10k1_main.c
patching file emu10k1_main.c
Hunk #2 succeeded at 649 (offset 37 lines).
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/emu10k1'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/hda'
copying file alsa-kernel/pci/hda/hda_codec.c
patching file hda_codec.c
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/hda'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/ice1712'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/ice1712'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/korg1212'
copying file alsa-kernel/pci/korg1212/korg1212.c
patching file korg1212.c
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/korg1212'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/mixart'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/mixart'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/nm256'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/nm256'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/pcxhr'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/pcxhr'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/pdplus'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/pdplus'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/riptide'
copying file alsa-kernel/pci/riptide/riptide.c
patching file riptide.c
Hunk #1 succeeded at 1278 (offset 9 lines).
Hunk #2 succeeded at 2224 (offset -2 lines).
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/riptide'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/rme9652'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/rme9652'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/trident'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/trident'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/vx222'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/vx222'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/ymfpci'
copying file alsa-kernel/pci/ymfpci/ymfpci_main.c
patching file ymfpci_main.c
Hunk #2 succeeded at 2037 (offset 35 lines).
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/ymfpci'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/aoa'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/aoa/codecs'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/aoa/codecs'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/aoa/core'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/aoa/core'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/aoa/fabrics'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/aoa/fabrics'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/aoa/soundbus'
make[4]: Entering directory `/home/alsa-driver-1.0.14rc2/aoa/soundbus/i2sbus'
make[4]: Leaving directory `/home/alsa-driver-1.0.14rc2/aoa/soundbus/i2sbus'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/aoa/soundbus'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/aoa'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/soc'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/soc/at91'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/soc/at91'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/soc/codecs'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/soc/codecs'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/soc/pxa'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/soc/pxa'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/soc'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/usb'
copying file alsa-kernel/usb/usbaudio.c
patching file usbaudio.c
Hunk #3 succeeded at 669 with fuzz 2.
Hunk #4 succeeded at 696 with fuzz 2.
Hunk #8 succeeded at 2080 (offset 1 line).
Hunk #10 succeeded at 2116 (offset 1 line).
Hunk #11 succeeded at 2668 (offset 6 lines).
Hunk #12 succeeded at 2735 (offset 1 line).
Hunk #13 succeeded at 3024 (offset 6 lines).
Hunk #14 succeeded at 3090 (offset 1 line).
Hunk #15 succeeded at 3164 (offset 6 lines).
Hunk #16 succeeded at 3177 (offset 1 line).
Hunk #17 succeeded at 3196 (offset 6 lines).
Hunk #18 succeeded at 3204 (offset 1 line).
Hunk #19 succeeded at 3406 (offset 7 lines).
Hunk #20 succeeded at 3491 (offset 1 line).
Hunk #21 succeeded at 3634 (offset 6 lines).
Hunk #22 succeeded at 3650 (offset 1 line).
Hunk #23 succeeded at 3676 (offset 6 lines).
copying file alsa-kernel/usb/usbmidi.c
patching file usbmidi.c
copying file alsa-kernel/usb/usbmixer.c
patching file usbmixer.c
Hunk #3 succeeded at 1725 (offset -1 lines).
Hunk #5 succeeded at 1795 (offset -1 lines).
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/usb/usx2y'
copying file alsa-kernel/usb/usx2y/usX2Yhwdep.c
patching file usX2Yhwdep.c
Hunk #3 succeeded at 63 with fuzz 2.
copying file alsa-kernel/usb/usx2y/usbusx2y.c
patching file usbusx2y.c
copying file alsa-kernel/usb/usx2y/usbusx2yaudio.c
patching file usbusx2yaudio.c
copying file alsa-kernel/usb/usx2y/usx2yhwdeppcm.c
patching file usx2yhwdeppcm.c
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/usb/usx2y'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/usb'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pcmcia'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/pcmcia/vx'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/pcmcia/vx'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pcmcia'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/misc'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/misc'
make[1]: Leaving directory `/home/alsa-driver-1.0.14rc2'
make -C /usr/src/kernels/2.6.15-1.2054_FC5-i686
SUBDIRS=/home/alsa-driver-1.0.14rc2  CPP="gcc -E" CC="gcc" modules
make[1]: Entering directory `/usr/src/kernels/2.6.15-1.2054_FC5-i686'
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/hwdep.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/memalloc.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/sgbuf.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/memory_wrapper.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/pcm.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/pcm_native.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/pcm_lib.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/pcm_timer.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/pcm_misc.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/pcm_memory.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/rawmidi.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/rtctimer.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/timer.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/sound.o
/home/alsa-driver-1.0.14rc2/acore/sound.c: In function ‘snd_open’:
/home/alsa-driver-1.0.14rc2/acore/sound.c:171: warning: assignment discards
qualifiers from pointer target type
/home/alsa-driver-1.0.14rc2/acore/sound.c:176: warning: assignment discards
qualifiers from pointer target type
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/init.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/memory.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/info.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/control.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/misc.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/device.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/isadma.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/sound_oss.o
In file included from /home/alsa-driver-1.0.14rc2/acore/sound_oss.c:6:
/home/alsa-driver-1.0.14rc2/acore/../alsa-kernel/core/sound_oss.c: In function
‘snd_register_oss_device’:
/home/alsa-driver-1.0.14rc2/acore/../alsa-kernel/core/sound_oss.c:139: warning:
passing argument 1 of ‘register_sound_special_device’ discards qualifiers from
pointer target type
/home/alsa-driver-1.0.14rc2/acore/../alsa-kernel/core/sound_oss.c:144: warning:
passing argument 1 of ‘register_sound_special_device’ discards qualifiers from
pointer target type
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/info_oss.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/wrappers.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/misc_driver.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/snd.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/snd-hwdep.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/snd-timer.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/snd-rtctimer.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/snd-pcm.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/snd-page-alloc.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/snd-rawmidi.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/oss/mixer_oss.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/oss/pcm_oss.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/oss/pcm_plugin.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/oss/io.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/oss/copy.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/oss/linear.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/oss/mulaw.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/oss/route.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/oss/rate.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/oss/snd-mixer-oss.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/oss/snd-pcm-oss.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/seq_device.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/seq_dummy.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/seq_instr.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/seq_midi_emul.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/seq_midi_event.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/seq_midi.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/seq_virmidi.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/seq.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/seq_lock.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/seq_clientmgr.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/seq_memory.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/seq_queue.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/seq_fifo.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/seq_prioq.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/seq_timer.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/seq_system.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/seq_ports.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/seq_info.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/seq/snd-seq.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/seq/snd-seq-device.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/seq/snd-seq-midi-event.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/seq/snd-seq-dummy.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/seq/snd-seq-virmidi.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/seq/snd-seq-midi.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/seq/snd-seq-midi-emul.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/seq/snd-seq-instr.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/instr/ainstr_fm.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/instr/ainstr_gf1.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/instr/ainstr_iw.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/instr/ainstr_simple.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/seq/instr/snd-ainstr-fm.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/seq/instr/snd-ainstr-gf1.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/seq/instr/snd-ainstr-simple.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/seq/instr/snd-ainstr-iw.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/oss/seq_oss.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/oss/seq_oss_init.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/oss/seq_oss_timer.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/oss/seq_oss_ioctl.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/oss/seq_oss_event.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/oss/seq_oss_rw.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/oss/seq_oss_synth.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/oss/seq_oss_midi.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/oss/seq_oss_readq.o
  CC [M]  /home/alsa-driver-1.0.14rc2/acore/seq/oss/seq_oss_writeq.o
  LD [M]  /home/alsa-driver-1.0.14rc2/acore/seq/oss/snd-seq-oss.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/aloop.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/dummy.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/mtpav.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/mts64.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/portman2x4.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/serial-u16550.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/virmidi.o
  LD [M]  /home/alsa-driver-1.0.14rc2/drivers/snd-aloop.o
  LD [M]  /home/alsa-driver-1.0.14rc2/drivers/snd-portman2x4.o
  LD [M]  /home/alsa-driver-1.0.14rc2/drivers/snd-dummy.o
  LD [M]  /home/alsa-driver-1.0.14rc2/drivers/snd-virmidi.o
  LD [M]  /home/alsa-driver-1.0.14rc2/drivers/snd-serial-u16550.o
  LD [M]  /home/alsa-driver-1.0.14rc2/drivers/snd-mtpav.o
  LD [M]  /home/alsa-driver-1.0.14rc2/drivers/snd-mts64.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/mpu401/mpu401_uart.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/mpu401/mpu401.o
  LD [M]  /home/alsa-driver-1.0.14rc2/drivers/mpu401/snd-mpu401-uart.o
  LD [M]  /home/alsa-driver-1.0.14rc2/drivers/mpu401/snd-mpu401.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/opl3/opl3_lib.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/opl3/opl3_synth.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/opl3/opl3_seq.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/opl3/opl3_midi.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/opl3/opl3_drums.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/opl3/opl3_oss.o
  LD [M]  /home/alsa-driver-1.0.14rc2/drivers/opl3/snd-opl3-lib.o
  LD [M]  /home/alsa-driver-1.0.14rc2/drivers/opl3/snd-opl3-synth.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/opl4/opl4_lib.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/opl4/opl4_mixer.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/opl4/opl4_proc.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/opl4/opl4_seq.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/opl4/opl4_synth.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/opl4/yrw801.o
  LD [M]  /home/alsa-driver-1.0.14rc2/drivers/opl4/snd-opl4-lib.o
  LD [M]  /home/alsa-driver-1.0.14rc2/drivers/opl4/snd-opl4-synth.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/vx/vx_core.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/vx/vx_hwdep.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/vx/vx_pcm.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/vx/vx_mixer.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/vx/vx_cmd.o
  CC [M]  /home/alsa-driver-1.0.14rc2/drivers/vx/vx_uer.o
  LD [M]  /home/alsa-driver-1.0.14rc2/drivers/vx/snd-vx-lib.o
  CC [M]  /home/alsa-driver-1.0.14rc2/i2c/cs8427.o
  CC [M]  /home/alsa-driver-1.0.14rc2/i2c/i2c.o
  CC [M]  /home/alsa-driver-1.0.14rc2/i2c/tea6330t.o
  LD [M]  /home/alsa-driver-1.0.14rc2/i2c/snd-tea6330t.o
  LD [M]  /home/alsa-driver-1.0.14rc2/i2c/snd-i2c.o
  LD [M]  /home/alsa-driver-1.0.14rc2/i2c/snd-cs8427.o
  CC [M]  /home/alsa-driver-1.0.14rc2/i2c/other/ak4114.o
  CC [M]  /home/alsa-driver-1.0.14rc2/i2c/other/ak4117.o
  CC [M]  /home/alsa-driver-1.0.14rc2/i2c/other/ak4xxx-adda.o
  CC [M]  /home/alsa-driver-1.0.14rc2/i2c/other/pt2258.o
  CC [M]  /home/alsa-driver-1.0.14rc2/i2c/other/tea575x-tuner.o
  LD [M]  /home/alsa-driver-1.0.14rc2/i2c/other/snd-tea575x-tuner.o
  LD [M]  /home/alsa-driver-1.0.14rc2/i2c/other/snd-ak4117.o
  LD [M]  /home/alsa-driver-1.0.14rc2/i2c/other/snd-ak4xxx-adda.o
  LD [M]  /home/alsa-driver-1.0.14rc2/i2c/other/snd-ak4114.o
  LD [M]  /home/alsa-driver-1.0.14rc2/i2c/other/snd-pt2258.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/adlib.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/als100.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/azt2320.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/cmi8330.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/dt019x.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/es18xx.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/opl3sa2.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/sgalaxy.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/sscape.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/snd-adlib.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/snd-als100.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/snd-azt2320.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/snd-cmi8330.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/snd-dt019x.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/snd-es18xx.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/snd-opl3sa2.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/snd-sgalaxy.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/snd-sscape.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/ad1816a/ad1816a.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/ad1816a/ad1816a_lib.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/ad1816a/snd-ad1816a.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/ad1848/ad1848_lib.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/ad1848/ad1848.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/ad1848/snd-ad1848-lib.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/ad1848/snd-ad1848.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/cs423x/cs4231_lib.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/cs423x/cs4231.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/cs423x/cs4232.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/cs423x/cs4236_lib.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/cs423x/cs4236.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/cs423x/snd-cs4231-lib.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/cs423x/snd-cs4231.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/cs423x/snd-cs4232.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/cs423x/snd-cs4236-lib.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/cs423x/snd-cs4236.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/es1688/es1688_lib.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/es1688/es1688.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/es1688/snd-es1688.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/es1688/snd-es1688-lib.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/gus_main.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/gus_io.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/gus_irq.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/gus_timer.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/gus_mem.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/gus_mem_proc.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/gus_dram.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/gus_dma.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/gus_volume.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/gus_pcm.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/gus_mixer.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/gus_uart.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/gus_reset.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/gus_synth.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/gus_sample.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/gus_simple.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/gus_instr.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/gusclassic.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/gusextreme.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/gusmax.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/interwave-stb.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/gus/interwave.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/gus/snd-gus-lib.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/gus/snd-gus-synth.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/gus/snd-gusclassic.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/gus/snd-gusextreme.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/gus/snd-gusmax.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/gus/snd-interwave-stb.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/gus/snd-interwave.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/msnd/msnd.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/msnd/msnd_pinnacle.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/msnd/msnd_pinnacle_mixer.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/msnd/msnd_midi.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/msnd/snd-msnd-pinnacle.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/opti9xx/miro.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/opti9xx/opti92x-ad1848.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/opti9xx/opti92x-cs4231.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/opti9xx/opti93x.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/opti9xx/snd-opti92x-ad1848.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/opti9xx/snd-opti92x-cs4231.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/opti9xx/snd-opti93x.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/opti9xx/snd-miro.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/sb/emu8000_synth.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/sb/emu8000_callback.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/sb/emu8000_patch.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/sb/emu8000_pcm.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/sb/es968.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/sb/sb_common.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/sb/sb_mixer.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/sb/sb16_csp.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/sb/sb16_main.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/sb/sb16.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/sb/sb8_main.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/sb/sb8_midi.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/sb/sb8.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/sb/sbawe.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/sb/emu8000.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/sb/snd-emu8000-synth.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/sb/snd-es968.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/sb/snd-sb-common.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/sb/snd-sb16-csp.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/sb/snd-sb16-dsp.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/sb/snd-sb16.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/sb/snd-sb8-dsp.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/sb/snd-sb8.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/sb/snd-sbawe.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/wavefront/wavefront.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/wavefront/wavefront_fx.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/wavefront/wavefront_synth.o
  CC [M]  /home/alsa-driver-1.0.14rc2/isa/wavefront/wavefront_midi.o
  LD [M]  /home/alsa-driver-1.0.14rc2/isa/wavefront/snd-wavefront.o
  CC [M]  /home/alsa-driver-1.0.14rc2/misc/ac97_bus.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ad1889.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/als300.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/als4000.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/atiixp_modem.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/atiixp.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/azt3328.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/bt87x.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/cmipci.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/cs4281.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ens1370.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ens1371.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/es1938.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/es1968.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/fm801.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/intel8x0.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/intel8x0m.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/maestro3.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/rme32.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/rme96.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/sonicvibes.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/via82xx_modem.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/via82xx.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-ad1889.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-als300.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-als4000.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-atiixp.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-atiixp-modem.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-azt3328.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-bt87x.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-cmipci.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-cs4281.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-ens1370.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-ens1371.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-es1938.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-es1968.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-fm801.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-intel8x0.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-intel8x0m.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-maestro3.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-rme32.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-rme96.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-sonicvibes.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-via82xx.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/snd-via82xx-modem.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ac97/ac97_codec.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ac97/ac97_pcm.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ac97/ac97_patch.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ac97/ac97_proc.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ac97/ak4531_codec.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/ac97/snd-ac97-codec.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/ac97/snd-ak4531-codec.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ali5451/ali5451.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/ali5451/snd-ali5451.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/asihpi/asihpi.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/asihpi/hpimod.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/asihpi/hpicmn.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/asihpi/hpifunc.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/asihpi/hpidebug.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/asihpi/hpidspcd.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/asihpi/hpios_linux_kernel.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/asihpi/hpi4000.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/asihpi/hpi6000.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/asihpi/hpi56301.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/asihpi/hpi6205.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/asihpi/hpimsgx.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/asihpi/snd-asihpi.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/au88x0/au8810.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/au88x0/au8820.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/au88x0/au8830.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/au88x0/snd-au8810.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/au88x0/snd-au8820.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/au88x0/snd-au8830.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ca0106/ca0106_main.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ca0106/ca0106_proc.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ca0106/ca0106_mixer.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ca0106/ca_midi.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/ca0106/snd-ca0106.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/cs46xx/cs46xx.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/cs46xx/cs46xx_lib.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/cs46xx/dsp_spos.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/cs46xx/dsp_spos_scb_lib.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/cs46xx/snd-cs46xx.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/cs5535audio/cs5535audio.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/cs5535audio/cs5535audio_pcm.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/cs5535audio/cs5535audio_pm.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/cs5535audio/snd-cs5535audio.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/darla20.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/darla24.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/echo3g.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/gina20.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/gina24.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/indigo.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/indigodj.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/indigoio.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/layla20.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/layla24.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/mia.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/mona.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/snd-darla20.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/snd-gina20.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/snd-layla20.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/snd-darla24.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/snd-gina24.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/snd-layla24.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/snd-mona.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/snd-mia.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/snd-echo3g.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/snd-indigo.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/snd-indigoio.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/echoaudio/snd-indigodj.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/emu10k1/emu10k1_synth.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/emu10k1/emu10k1_callback.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/emu10k1/emu10k1_patch.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/emu10k1/emu10k1.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/emu10k1/emu10k1_main.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/emu10k1/irq.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/emu10k1/memory.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/emu10k1/voice.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/emu10k1/emumpu401.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/emu10k1/emupcm.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/emu10k1/io.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/emu10k1/emuproc.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/emu10k1/emumixer.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/emu10k1/emufx.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/emu10k1/timer.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/emu10k1/p16v.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/emu10k1/emu10k1x.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/emu10k1/snd-emu10k1.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/emu10k1/snd-emu10k1-synth.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/emu10k1/snd-emu10k1x.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/hda/hda_codec.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/hda/hda_generic.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/hda/patch_realtek.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/hda/patch_cmedia.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/hda/patch_analog.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/hda/patch_sigmatel.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/hda/patch_si3054.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/hda/patch_atihdmi.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/hda/patch_conexant.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/hda/patch_via.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/hda/hda_proc.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/hda/hda_intel.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/hda/snd-hda-intel.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/hda/snd-hda-codec.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ice1712/ice1712.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ice1712/delta.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ice1712/hoontech.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ice1712/ews.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ice1712/ice1724.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ice1712/amp.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ice1712/revo.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ice1712/aureon.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ice1712/vt1720_mobo.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ice1712/pontis.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ice1712/prodigy192.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ice1712/juli.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ice1712/phase.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ice1712/wtm.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ice1712/ak4xxx.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/ice1712/snd-ice1712.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/ice1712/snd-ice17xx-ak4xxx.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/ice1712/snd-ice1724.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/korg1212/korg1212.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/korg1212/snd-korg1212.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/mixart/mixart.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/mixart/mixart_core.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/mixart/mixart_hwdep.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/mixart/mixart_mixer.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/mixart/snd-mixart.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/nm256/nm256.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/nm256/snd-nm256.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/pcxhr/pcxhr.o
/home/alsa-driver-1.0.14rc2/pci/pcxhr/../../alsa-kernel/pci/pcxhr/pcxhr.c: In
function ‘pcxhr_trigger’:
/home/alsa-driver-1.0.14rc2/pci/pcxhr/../../alsa-kernel/pci/pcxhr/pcxhr.c:640:
warning: ‘stream’ may be used uninitialized in this function
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/pcxhr/pcxhr_hwdep.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/pcxhr/pcxhr_mixer.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/pcxhr/pcxhr_core.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/pcxhr/snd-pcxhr.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/pdplus/pdplus.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/pdplus/snd-pdplus.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/riptide/riptide.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/riptide/snd-riptide.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/rme9652/hdsp.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/rme9652/hdspm.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/rme9652/rme9652.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/rme9652/snd-rme9652.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/rme9652/snd-hdsp.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/rme9652/snd-hdspm.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/trident/trident_synth.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/trident/trident.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/trident/trident_main.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/trident/trident_memory.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/trident/snd-trident.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/trident/snd-trident-synth.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/vx222/vx222.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/vx222/vx222_ops.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/vx222/snd-vx222.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ymfpci/ymfpci.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pci/ymfpci/ymfpci_main.o
  LD [M]  /home/alsa-driver-1.0.14rc2/pci/ymfpci/snd-ymfpci.o
  CC [M]  /home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf/pdaudiocf.o
In file included from /home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf/pdaudiocf.c:5:
/home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf/pdaudiocf_old.c: In function
‘snd_pdacf_free’:
/home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf/pdaudiocf_old.c:105: warning:
implicit declaration of function ‘pcmcia_deregister_client’
/home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf/pdaudiocf_old.c: In function
‘snd_pdacf_attach’:
/home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf/pdaudiocf_old.c:207: warning:
implicit declaration of function ‘pcmcia_register_client’
/home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf/pdaudiocf_old.c: At top level:
/home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf/pdaudiocf_old.c:422: error: unknown
field ‘attach’ specified in initializer
/home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf/pdaudiocf_old.c:422: warning:
excess elements in struct initializer
/home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf/pdaudiocf_old.c:422: warning: (near
initialization for ‘pdacf_cs_driver’)
/home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf/pdaudiocf_old.c:424: error: unknown
field ‘event’ specified in initializer
/home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf/pdaudiocf_old.c:424: warning:
excess elements in struct initializer
/home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf/pdaudiocf_old.c:424: warning: (near
initialization for ‘pdacf_cs_driver’)
/home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf/pdaudiocf_old.c:427: error: unknown
field ‘detach’ specified in initializer
/home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf/pdaudiocf_old.c:428: warning:
missing braces around initializer
/home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf/pdaudiocf_old.c:428: warning: (near
initialization for ‘pdacf_cs_driver.drv’)
/home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf/pdaudiocf_old.c:428: warning:
initialization from incompatible pointer type
make[4]: *** [/home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf/pdaudiocf.o] Error 1
make[3]: *** [/home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf] Error 2
make[2]: *** [/home/alsa-driver-1.0.14rc2/pcmcia] Error 2
make[1]: *** [_module_/home/alsa-driver-1.0.14rc2] Error 2
make[1]: Leaving directory `/usr/src/kernels/2.6.15-1.2054_FC5-i686'
make: *** [compile] Error 2
[root@sourabhk alsa-driver-1.0.14rc2]# pwd
/home/alsa-driver-1.0.14rc2
[root@sourabhk alsa-driver-1.0.14rc2]#  Leaving directory
`/usr/src/kernels/2.6.15-1.2054_FC5-i686'
>  Leaving directory `/usr/src/kernels/2.6.15-1.2054_FC5-i686'
>      



how do I need to proceed ?
Comment 11 Martin Stransky 2007-03-08 06:40:02 EST
use ./configure --with-cards=hda-intel

and then make, make install.

It will compile only module for your soundcard.
Comment 12 Sourabh 2007-03-08 06:58:33 EST
everything got installed but no sound


ALSA modules were successfully compiled.

[root@sourabhk alsa-driver-1.0.14rc2]# alsamixer

alsamixer: function snd_ctl_open failed for default: No such file or directory
[root@sourabhk alsa-driver-1.0.14rc2]# system-config-soundcard
amixer: Mixer attach default error: No such file or directory
cat: /proc/asound/version: No such file or directory
cat: /proc/asound/modules: No such file or directory
cat: /proc/asound/pcm: No such file or directory

[root@sourabhk alsa-driver-1.0.14rc2]# make install
if [ -L /usr/include/sound ]; then \
        rm -f /usr/include/sound; \
        ln -sf /home/alsa-driver-1.0.14rc2/include/sound /usr/include/sound; \
else \
        rm -rf /usr/include/sound; \
        install -d -m 755 -g root -o root /usr/include/sound; \
        for f in include/sound/*.h; do \
                install -m 644 -g root -o root $f /usr/include/sound; \
        done \
fi
find /lib/modules/2.6.15-1.2054_FC5/kernel/sound -name 'snd*.*o' | xargs rm -f
find /lib/modules/2.6.15-1.2054_FC5/kernel/sound -name 'ac97_bus.*o' | xargs rm -f
make[1]: Entering directory `/home/alsa-driver-1.0.14rc2/acore'
mkdir -p /lib/modules/2.6.15-1.2054_FC5/kernel/sound/acore
cp snd-page-alloc.ko snd-pcm.ko snd-rtctimer.ko snd-timer.ko snd.ko
/lib/modules/2.6.15-1.2054_FC5/kernel/sound/acore
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/acore/ioctl32'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/acore/ioctl32'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/acore/oss'
mkdir -p /lib/modules/2.6.15-1.2054_FC5/kernel/sound/acore/oss
cp snd-mixer-oss.ko snd-pcm-oss.ko
/lib/modules/2.6.15-1.2054_FC5/kernel/sound/acore/oss
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/acore/oss'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/acore/seq'
mkdir -p /lib/modules/2.6.15-1.2054_FC5/kernel/sound/acore/seq
cp snd-seq-device.ko snd-seq-midi-event.ko snd-seq.ko
/lib/modules/2.6.15-1.2054_FC5/kernel/sound/acore/seq
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/acore/seq/instr'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/acore/seq/instr'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/acore/seq/oss'
mkdir -p /lib/modules/2.6.15-1.2054_FC5/kernel/sound/acore/seq/oss
cp snd-seq-oss.ko /lib/modules/2.6.15-1.2054_FC5/kernel/sound/acore/seq/oss
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/acore/seq/oss'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/acore/seq'
make[1]: Leaving directory `/home/alsa-driver-1.0.14rc2/acore'
make[1]: Entering directory `/home/alsa-driver-1.0.14rc2/i2c'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/i2c/other'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/i2c/other'
make[1]: Leaving directory `/home/alsa-driver-1.0.14rc2/i2c'
make[1]: Entering directory `/home/alsa-driver-1.0.14rc2/drivers'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/drivers/mpu401'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/drivers/mpu401'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/drivers/opl3'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/drivers/opl3'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/drivers/opl4'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/drivers/opl4'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/drivers/pcsp'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/drivers/pcsp'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/drivers/vx'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/drivers/vx'
make[1]: Leaving directory `/home/alsa-driver-1.0.14rc2/drivers'
make[1]: Entering directory `/home/alsa-driver-1.0.14rc2/isa'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/isa/ad1816a'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/isa/ad1816a'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/isa/ad1848'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/isa/ad1848'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/isa/cs423x'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/isa/cs423x'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/isa/es1688'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/isa/es1688'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/isa/gus'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/isa/gus'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/isa/msnd'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/isa/msnd'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/isa/opti9xx'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/isa/opti9xx'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/isa/sb'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/isa/sb'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/isa/wavefront'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/isa/wavefront'
make[1]: Leaving directory `/home/alsa-driver-1.0.14rc2/isa'
make[1]: Entering directory `/home/alsa-driver-1.0.14rc2/synth'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/synth/emux'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/synth/emux'
make[1]: Leaving directory `/home/alsa-driver-1.0.14rc2/synth'
make[1]: Entering directory `/home/alsa-driver-1.0.14rc2/pci'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/ac97'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/ac97'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/ali5451'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/ali5451'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/asihpi'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/asihpi'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/au88x0'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/au88x0'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/ca0106'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/ca0106'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/cs46xx'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/cs46xx'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/cs5535audio'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/cs5535audio'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/echoaudio'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/echoaudio'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/emu10k1'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/emu10k1'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/hda'
mkdir -p /lib/modules/2.6.15-1.2054_FC5/kernel/sound/pci/hda
cp snd-hda-codec.ko snd-hda-intel.ko
/lib/modules/2.6.15-1.2054_FC5/kernel/sound/pci/hda
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/hda'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/ice1712'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/ice1712'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/korg1212'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/korg1212'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/mixart'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/mixart'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/nm256'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/nm256'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/pcxhr'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/pcxhr'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/pdplus'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/pdplus'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/riptide'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/riptide'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/rme9652'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/rme9652'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/trident'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/trident'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/vx222'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/vx222'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pci/ymfpci'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci/ymfpci'
make[1]: Leaving directory `/home/alsa-driver-1.0.14rc2/pci'
make[1]: Entering directory `/home/alsa-driver-1.0.14rc2/aoa'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/aoa/codecs'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/aoa/codecs'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/aoa/core'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/aoa/core'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/aoa/fabrics'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/aoa/fabrics'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/aoa/soundbus'
make[3]: Entering directory `/home/alsa-driver-1.0.14rc2/aoa/soundbus/i2sbus'
make[3]: Leaving directory `/home/alsa-driver-1.0.14rc2/aoa/soundbus/i2sbus'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/aoa/soundbus'
make[1]: Leaving directory `/home/alsa-driver-1.0.14rc2/aoa'
make[1]: Entering directory `/home/alsa-driver-1.0.14rc2/soc'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/soc/at91'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/soc/at91'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/soc/codecs'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/soc/codecs'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/soc/pxa'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/soc/pxa'
make[1]: Leaving directory `/home/alsa-driver-1.0.14rc2/soc'
make[1]: Entering directory `/home/alsa-driver-1.0.14rc2/usb'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/usb/usx2y'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/usb/usx2y'
make[1]: Leaving directory `/home/alsa-driver-1.0.14rc2/usb'
make[1]: Entering directory `/home/alsa-driver-1.0.14rc2/pcmcia'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pcmcia/pdaudiocf'
make[2]: Entering directory `/home/alsa-driver-1.0.14rc2/pcmcia/vx'
make[2]: Leaving directory `/home/alsa-driver-1.0.14rc2/pcmcia/vx'
make[1]: Leaving directory `/home/alsa-driver-1.0.14rc2/pcmcia'
/sbin/depmod -a 2.6.15-1.2054_FC5
cat WARNING

WARNING!!! The mixer channels for the ALSA driver are muted by default!!!
**************************************************************************
You would use some ALSA or OSS mixer to set the appropriate volume.

[root@sourabhk alsa-driver-1.0.14rc2]# alsamixer

alsamixer: function snd_ctl_open failed for default: No such file or directory
[root@sourabhk alsa-driver-1.0.14rc2]# system-config-soundcard
amixer: Mixer attach default error: No such file or directory
cat: /proc/asound/version: No such file or directory
cat: /proc/asound/modules: No such file or directory
cat: /proc/asound/pcm: No such file or directory


what now ?
Comment 13 Martin Stransky 2007-03-08 07:02:11 EST
reboot your box, check system-config-soundcard.
Comment 14 Sourabh 2007-03-08 07:17:15 EST
I did it my sound card is still not detected....

so far everything is ok. I will try to find out whats wrong and give you more
details.

Thanks!
Comment 15 Martin Stransky 2007-03-08 07:19:49 EST
you should install alsa-lib/utils packages from my support page, too.
(http://people.redhat.com/stransky/alsa/)
Comment 16 Sourabh 2007-03-09 01:47:21 EST
lib is installed correctly but for util it gave me bellow trace

[root@sourabhk alsa-utils-1.0.14rc2]# make
Making all in include
make[1]: Entering directory `/root/alsa-utils-1.0.14rc2/include'
make  all-am
make[2]: Entering directory `/root/alsa-utils-1.0.14rc2/include'
make[2]: Leaving directory `/root/alsa-utils-1.0.14rc2/include'
make[1]: Leaving directory `/root/alsa-utils-1.0.14rc2/include'
Making all in alsactl
make[1]: Entering directory `/root/alsa-utils-1.0.14rc2/alsactl'
make[1]: Nothing to be done for `all'.
make[1]: Leaving directory `/root/alsa-utils-1.0.14rc2/alsactl'
Making all in alsaconf
make[1]: Entering directory `/root/alsa-utils-1.0.14rc2/alsaconf'
Making all in po
make[2]: Entering directory `/root/alsa-utils-1.0.14rc2/alsaconf/po'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/root/alsa-utils-1.0.14rc2/alsaconf/po'
make[2]: Entering directory `/root/alsa-utils-1.0.14rc2/alsaconf'
make[2]: Nothing to be done for `all-am'.
make[2]: Leaving directory `/root/alsa-utils-1.0.14rc2/alsaconf'
make[1]: Leaving directory `/root/alsa-utils-1.0.14rc2/alsaconf'
Making all in alsamixer
make[1]: Entering directory `/root/alsa-utils-1.0.14rc2/alsamixer'
if gcc -DHAVE_CONFIG_H -I. -I. -I../include     -g -O2 -MT alsamixer.o -MD -MP
-MF ".deps/alsamixer.Tpo" -c -o alsamixer.o alsamixer.c; \
then mv -f ".deps/alsamixer.Tpo" ".deps/alsamixer.Po"; else rm -f
".deps/alsamixer.Tpo"; exit 1; fi
alsamixer.c:120:21: error: ncurses.h: No such file or directory
alsamixer.c:180: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before
‘*’ token
alsamixer.c: In function ‘mixer_init_draw_contexts’:
alsamixer.c:341: error: ‘COLOR_WHITE’ undeclared (first use in this function)
alsamixer.c:341: error: (Each undeclared identifier is reported only once
alsamixer.c:341: error: for each function it appears in.)
alsamixer.c:341: error: ‘A_BOLD’ undeclared (first use in this function)
alsamixer.c:341: error: ‘COLOR_BLACK’ undeclared (first use in this function)
alsamixer.c:341: error: ‘A_NORMAL’ undeclared (first use in this function)
alsamixer.c:342: error: ‘COLOR_YELLOW’ undeclared (first use in this function)
alsamixer.c:343: error: ‘COLOR_CYAN’ undeclared (first use in this function)
alsamixer.c:346: error: ‘COLOR_GREEN’ undeclared (first use in this function)
alsamixer.c:347: error: ‘COLOR_RED’ undeclared (first use in this function)
alsamixer.c:349: error: ‘A_DIM’ undeclared (first use in this function)
alsamixer.c:350: error: ‘COLOR_BLUE’ undeclared (first use in this function)
alsamixer.c:350: error: ‘A_REVERSE’ undeclared (first use in this function)
alsamixer.c:353: error: ‘ACS_CKBOARD’ undeclared (first use in this function)
alsamixer.c: In function ‘mixer_clear’:
alsamixer.c:392: error: ‘mixer_window’ undeclared (first use in this function)
alsamixer.c:392: error: ‘TRUE’ undeclared (first use in this function)
alsamixer.c: In function ‘mixer_abort’:
alsamixer.c:407: error: ‘mixer_window’ undeclared (first use in this function)
alsamixer.c:409: error: ‘TRUE’ undeclared (first use in this function)
alsamixer.c:411: error: ‘FALSE’ undeclared (first use in this function)
alsamixer.c: In function ‘mixer_cbar_get_pos’:
alsamixer.c:461: error: ‘FALSE’ undeclared (first use in this function)
alsamixer.c:479: error: ‘TRUE’ undeclared (first use in this function)
alsamixer.c: In function ‘draw_volume_bar’:
alsamixer.c:823: error: ‘ACS_LTEE’ undeclared (first use in this function)
alsamixer.c:824: error: ‘ACS_RTEE’ undeclared (first use in this function)
alsamixer.c:826: error: ‘ACS_LLCORNER’ undeclared (first use in this function)
alsamixer.c:827: error: ‘ACS_HLINE’ undeclared (first use in this function)
alsamixer.c:829: error: ‘ACS_LRCORNER’ undeclared (first use in this function)
alsamixer.c:835: error: ‘ACS_VLINE’ undeclared (first use in this function)
alsamixer.c:853: error: ‘ACS_ULCORNER’ undeclared (first use in this function)
alsamixer.c:856: error: ‘ACS_URCORNER’ undeclared (first use in this function)
alsamixer.c: In function ‘draw_playback_switch’:
alsamixer.c:864: error: ‘ACS_LLCORNER’ undeclared (first use in this function)
alsamixer.c:865: error: ‘ACS_HLINE’ undeclared (first use in this function)
alsamixer.c:867: error: ‘ACS_LRCORNER’ undeclared (first use in this function)
alsamixer.c:869: error: ‘ACS_VLINE’ undeclared (first use in this function)
alsamixer.c:872: error: ‘ACS_ULCORNER’ undeclared (first use in this function)
alsamixer.c:875: error: ‘ACS_URCORNER’ undeclared (first use in this function)
alsamixer.c: In function ‘mixer_draw_frame’:
alsamixer.c:1207: error: ‘ACS_VLINE’ undeclared (first use in this function)
alsamixer.c:1212: error: ‘ACS_HLINE’ undeclared (first use in this function)
alsamixer.c:1218: error: ‘ACS_ULCORNER’ undeclared (first use in this function)
alsamixer.c:1219: error: ‘ACS_URCORNER’ undeclared (first use in this function)
alsamixer.c:1220: error: ‘ACS_LLCORNER’ undeclared (first use in this function)
alsamixer.c:1222: error: ‘ACS_LRCORNER’ undeclared (first use in this function)
alsamixer.c: In function ‘mixer_show_text’:
alsamixer.c:1416: error: ‘ACS_LRCORNER’ undeclared (first use in this function)
alsamixer.c:1417: error: ‘ACS_LLCORNER’ undeclared (first use in this function)
alsamixer.c:1418: error: ‘ACS_ULCORNER’ undeclared (first use in this function)
alsamixer.c:1419: error: ‘ACS_URCORNER’ undeclared (first use in this function)
alsamixer.c:1424: error: ‘ACS_VLINE’ undeclared (first use in this function)
alsamixer.c:1426: error: ‘ACS_HLINE’ undeclared (first use in this function)
alsamixer.c:1443: error: ‘ACS_CKBOARD’ undeclared (first use in this function)
alsamixer.c:1444: error: ‘ACS_BLOCK’ undeclared (first use in this function)
alsamixer.c:1445: error: ‘ACS_BOARD’ undeclared (first use in this function)
alsamixer.c: In function ‘recalc_screen_size’:
alsamixer.c:1648: error: ‘mixer_window’ undeclared (first use in this function)
alsamixer.c: In function ‘mixer_init_window’:
alsamixer.c:1834: error: ‘mixer_window’ undeclared (first use in this function)
alsamixer.c:1847: error: ‘TRUE’ undeclared (first use in this function)
alsamixer.c: In function ‘mixer_resize’:
alsamixer.c:1866: error: ‘mixer_window’ undeclared (first use in this function)
alsamixer.c:1866: error: ‘FALSE’ undeclared (first use in this function)
alsamixer.c: In function ‘mixer_iteration’:
alsamixer.c:1990: error: case label does not reduce to an integer constant
alsamixer.c:2006: error: case label does not reduce to an integer constant
alsamixer.c:2011: error: case label does not reduce to an integer constant
alsamixer.c:2015: error: case label does not reduce to an integer constant
alsamixer.c:2017: error: ‘FALSE’ undeclared (first use in this function)
alsamixer.c:2025: error: case label does not reduce to an integer constant
alsamixer.c:2035: error: case label does not reduce to an integer constant
alsamixer.c:2057: error: ‘TRUE’ undeclared (first use in this function)
alsamixer.c:2068: error: ‘KEY_BTAB’ undeclared (first use in this function)
alsamixer.c:2071: error: ‘KEY_A1’ undeclared (first use in this function)
alsamixer.c:2075: error: ‘KEY_A3’ undeclared (first use in this function)
alsamixer.c:2079: error: ‘KEY_C1’ undeclared (first use in this function)
alsamixer.c:2083: error: ‘KEY_C3’ undeclared (first use in this function)
alsamixer.c:2087: error: ‘KEY_RIGHT’ undeclared (first use in this function)
alsamixer.c:2091: error: ‘KEY_LEFT’ undeclared (first use in this function)
alsamixer.c:2095: error: ‘KEY_UP’ undeclared (first use in this function)
alsamixer.c:2100: error: ‘KEY_DOWN’ undeclared (first use in this function)
alsamixer.c:2105: error: ‘KEY_PPAGE’ undeclared (first use in this function)
alsamixer.c:2110: error: ‘KEY_NPAGE’ undeclared (first use in this function)
alsamixer.c:2114: error: ‘KEY_BEG’ undeclared (first use in this function)
alsamixer.c:2115: error: ‘KEY_HOME’ undeclared (first use in this function)
alsamixer.c:2118: error: ‘KEY_LL’ undeclared (first use in this function)
alsamixer.c:2119: error: ‘KEY_END’ undeclared (first use in this function)
alsamixer.c:2226: error: ‘KEY_IC’ undeclared (first use in this function)
alsamixer.c:2231: error: ‘KEY_DC’ undeclared (first use in this function)
make[1]: *** [alsamixer.o] Error 1
make[1]: Leaving directory `/root/alsa-utils-1.0.14rc2/alsamixer'
make: *** [all-recursive] Error 1
Comment 17 Sourabh 2007-03-09 01:59:47 EST
and this is what is get on system-config-soundcard

amixer: Mixer attach default error: No such file or directory
cat: /proc/asound/version: No such file or directory
cat: /proc/asound/modules: No such file or directory
cat: /proc/asound/pcm: No such file or directory
Comment 18 Martin Stransky 2007-03-09 07:52:44 EST
have you installed alsa-lib-devel-1.0.14rc2 package?
Comment 19 Martin Stransky 2007-03-22 06:41:31 EDT
Please update your kernel, there's a new driver in update (1.0.14rc1).
Alsa-lib/alsa-utils packages are going to be released in fedora updates soon.
Comment 20 Sourabh 2007-05-11 02:48:28 EDT
Yes! I have got it updated throu yum.

The sound is configured well.Everything is fine.

Many many thanks for adding it to new release.

Note You need to log in before you can comment on or make changes to this bug.